<?xml version="1.0" encoding="UTF-8"?>
<jsp:root version="1.2" xmlns:f="http://java.sun.com/jsf/core" xmlns:h="http://java.sun.com/jsf/html" xmlns:jsp="http://java.sun.com/JSP/Page" xmlns:webuijsf="http://www.sun.com/webui/webuijsf">
    <jsp:directive.page contentType="text/html;charset=UTF-8" pageEncoding="UTF-8"/>
    <f:view>
        <webuijsf:page binding="#{DeletePage.page1}" id="page1">
            <webuijsf:html binding="#{DeletePage.html1}" id="html1">
                <webuijsf:head binding="#{DeletePage.head1}" id="head1" title="Plugin Portal Delete Plugin Page">
                    <webuijsf:link binding="#{DeletePage.link2}" id="link2" url="resources/netbeans.css"/>
                </webuijsf:head>
                <webuijsf:body binding="#{DeletePage.body1}" id="body1">
                    <webuijsf:form binding="#{DeletePage.form1}" id="form1">
                        <div style="position: relative">
                            <jsp:directive.include file="Header.jspf"/>
                        </div>
                        <webuijsf:panelLayout binding="#{DeletePage.center_container1}" id="center_container1" panelLayout="flow" styleClass="center-container">
                            <webuijsf:panelLayout binding="#{DeletePage.page_border1}" id="page_border1" panelLayout="flow" styleClass="page-border">
                                <webuijsf:panelLayout binding="#{DeletePage.fixed_tabs1}" id="fixed_tabs1" panelLayout="flow" styleClass="fixed-tabs">
                                    <webuijsf:image binding="#{DeletePage.image1}" height="26" id="image1" styleClass="float-left"
                                                    url="/resources/corner-left.png" width="11"/>
                                    <webuijsf:image binding="#{DeletePage.image2}" id="image2" styleClass="float-right" url="/resources/corner-right.png"/>
                                    <webuijsf:imageHyperlink binding="#{DeletePage.imageHyperlink1}" id="imageHyperlink1" imageURL="/resources/home-off.png" url="http://www.netbeans.org"/>
                                    <webuijsf:imageHyperlink binding="#{DeletePage.imageHyperlink2}" id="imageHyperlink2" imageURL="/resources/products-off.png" url="http://www.netbeans.org/products/index.html"/>
                                    <webuijsf:imageHyperlink binding="#{DeletePage.imageHyperlink3}" id="imageHyperlink3" imageURL="/resources/catalogue-on.png" url="/faces/MainPage.jsp"/>
                                    <webuijsf:imageHyperlink binding="#{DeletePage.imageHyperlink4}" id="imageHyperlink4" imageURL="/resources/kb-off2.png" url="http://www.netbeans.org/kb/index.html"/>
                                    <webuijsf:imageHyperlink binding="#{DeletePage.imageHyperlink5}" id="imageHyperlink5"
                                                             imageURL="/resources/community-off.png" url="http://www.netbeans.org/community/index.html"/>
                                    <webuijsf:imageHyperlink binding="#{DeletePage.imageHyperlink6}" id="imageHyperlink6" imageURL="/resources/partners-off.png" url="http://www.netbeans.org/community/partners/index.html"/>
                                </webuijsf:panelLayout>
                                <webuijsf:panelLayout binding="#{DeletePage.fixed_contentarea1}" id="fixed_contentarea1" panelLayout="flow" styleClass="fixed-contentarea">
                                    <webuijsf:panelLayout binding="#{DeletePage.navig_breadcrumbs2}" id="navig_breadcrumbs2" panelLayout="flow" style="" styleClass="navig-breadcrumbs">
                                        <webuijsf:hyperlink actionExpression="#{DeletePage.hyperlink1_action}" binding="#{DeletePage.hyperlink1}"
                                                            id="hyperlink1" text="Home" url="http://www.netbeans.org"/>
                                        <webuijsf:staticText binding="#{DeletePage.staticText3}" id="staticText3" text="/"/>
                                        <webuijsf:imageHyperlink binding="#{DeletePage.imageHyperlink7}" id="imageHyperlink7" text="Plugins" url="/faces/MainPage.jsp"/>
                                        <webuijsf:panelGroup binding="#{DeletePage.loginPanel1}" id="loginPanel1" separator="#{SessionBean1.loginSeparator}" style="left: 500px; position: relative">
                                            <webuijsf:staticText binding="#{DeletePage.staticText4}" id="staticText4" text="Logged in:" visible="#{SessionBean1.loggedinVisible}"/>
                                            <webuijsf:hyperlink actionExpression="#{DeletePage.currentUser_action}" binding="#{DeletePage.currentUser1}"
                                                                id="currentUser1" text="#{SessionBean1.currentUserId}" visible="#{SessionBean1.loggedinVisible}"/>
                                            <webuijsf:hyperlink actionExpression="#{DeletePage.txtLoginLogoff_action}" binding="#{DeletePage.txtLoginLogoff1}"
                                                                id="txtLoginLogoff1" style="text-align: right" text="#{SessionBean1.loginText}"/>
                                        </webuijsf:panelGroup>
                                    </webuijsf:panelLayout>
                                    <webuijsf:panelLayout binding="#{DeletePage.fixed_contextbox1}" id="fixed_contextbox1" panelLayout="flow" style="" styleClass="fixed-contentbox-ie">
                                        <webuijsf:panelLayout binding="#{DeletePage.topDeletePanel}" id="topDeletePanel" panelLayout="flow"
                                                              style="border-bottom: solid rgb(204, 204, 204) 1px; " styleClass="bg-sky f-page-cell">
                                            <webuijsf:markup binding="#{DeletePage.markup1}" id="markup1" tag="p"/>
                                            <webuijsf:staticText binding="#{DeletePage.txtDelete}" id="txtDelete" style="font-size: 14px; font-weight: bold"
                                                                 styleClass="orange" text="#{DeletePage.deleteTitle}"/>
                                            <webuijsf:markup binding="#{DeletePage.markup2}" id="markup2" tag="p"/>
                                            <webuijsf:staticText binding="#{DeletePage.staticText2}" escape="false" id="staticText2" text="&lt;b&gt;Please note -&lt;/b&gt; all ratings and comments for this plugin will also be deleted."/>
                                        </webuijsf:panelLayout>
                                        <webuijsf:panelLayout binding="#{DeletePage.bottomDeletePanel}" id="bottomDeletePanel" panelLayout="flow"
                                                              style="text-align: center" styleClass="f-page-cell">
                                            <webuijsf:panelGroup binding="#{DeletePage.buttonPanel}" id="buttonPanel">
                                                <webuijsf:button actionExpression="#{DeletePage.btnNo_action}" binding="#{DeletePage.btnNo}" id="btnNo"
                                                                 imageURL="/resources/no.png" text="NO"/>
                                                <webuijsf:staticText binding="#{DeletePage.staticText1}" escape="false" id="staticText1" text="&amp;nbsp;"/>
                                                <webuijsf:button actionExpression="#{DeletePage.btnYes_action}" binding="#{DeletePage.btnYes}" id="btnYes"
                                                                 imageURL="/resources/yes.png" text="YES"/>
                                            </webuijsf:panelGroup>
                                        </webuijsf:panelLayout>
                                    </webuijsf:panelLayout>
                                </webuijsf:panelLayout>
                                <webuijsf:panelLayout binding="#{DeletePage.fixed_footer1}" id="fixed_footer1" panelLayout="flow" styleClass="fixed-footer">
                                    <webuijsf:panelLayout binding="#{DeletePage.footer_text1}" id="footer_text1" panelLayout="flow" styleClass="footer-text">
                                        <webuijsf:panelLayout binding="#{DeletePage.footer_navig1}" id="footer_navig1" panelLayout="flow" styleClass="float-left">
                                            <webuijsf:staticText binding="#{DeletePage.staticText8}" escape="false" id="staticText8" text="&amp;nbsp;"/>
                                            <webuijsf:staticText binding="#{DeletePage.staticText9}" escape="false" id="staticText9" text="&amp;nbsp;"/>
                                            <webuijsf:hyperlink actionExpression="#{DeletePage.hyperlink4_action}" binding="#{DeletePage.hyperlink2}"
                                                                id="hyperlink2" text="Shop" url="http://www.cafeshops.com/netbeans/"/>
                                            <webuijsf:staticText binding="#{DeletePage.staticText10}" escape="false" id="staticText10" text="&amp;nbsp;"/>
                                            <webuijsf:hyperlink actionExpression="#{DeletePage.hyperlink5_action}" binding="#{DeletePage.hyperlink3}"
                                                                id="hyperlink3" text="Site Map" url="http://www.netbeans.org/download/sitemaps/www_map.html"/>
                                            <webuijsf:staticText binding="#{DeletePage.staticText11}" escape="false" id="staticText11" text="&amp;nbsp;"/>
                                            <webuijsf:staticText binding="#{DeletePage.staticText12}" escape="false" id="staticText12" text="&amp;nbsp;"/>
                                            <webuijsf:hyperlink actionExpression="#{DeletePage.hyperlink6_action}" binding="#{DeletePage.hyperlink4}"
                                                                id="hyperlink4" text="About Us" url="http://www.netbeans.org/about/index.html"/>
                                            <webuijsf:staticText binding="#{DeletePage.staticText13}" escape="false" id="staticText13" text="&amp;nbsp;"/>
                                            <webuijsf:hyperlink actionExpression="#{DeletePage.hyperlink7_action}" binding="#{DeletePage.hyperlink5}"
                                                                id="hyperlink5" text="Contact" url="http://www.netbeans.org/about/contact.html"/>
                                            <webuijsf:staticText binding="#{DeletePage.staticText14}" escape="false" id="staticText14" text="&amp;nbsp;"/>
                                            <webuijsf:hyperlink actionExpression="#{DeletePage.hyperlink8_action}" binding="#{DeletePage.hyperlink6}"
                                                                id="hyperlink6" text="Legal" url="http://www.netbeans.org/about/legal/index.html"/>
                                        </webuijsf:panelLayout>
                                        <webuijsf:panelLayout binding="#{DeletePage.tof1}" id="tof1" panelLayout="flow" styleClass="tof float-right">
                                            <webuijsf:staticText binding="#{DeletePage.staticText15}" id="staticText15" text="By use of this website, you agree to the"/>
                                            <webuijsf:hyperlink actionExpression="#{DeletePage.hyperlink9_action}" binding="#{DeletePage.hyperlink7}"
                                                                id="hyperlink7" text=" NetBeans Policies and Terms of Use" url="http://www.netbeans.org/about/legal/terms-of-use.html"/>
                                        </webuijsf:panelLayout>
                                    </webuijsf:panelLayout>
                                </webuijsf:panelLayout>
                            </webuijsf:panelLayout>
                        </webuijsf:panelLayout>
                    </webuijsf:form>
                </webuijsf:body>
            </webuijsf:html>
        </webuijsf:page>
    </f:view>
    <!-- Begin SiteCatalyst code -->
    <script language="JavaScript" src="http://www.netbeans.org/images/js/s_code_remote_temp.js"></script>
    <!-- End SiteCatalyst code --> 
</jsp:root>
