<?xml version="1.0" encoding="UTF-8"?>
<jsp:root version="1.2" xmlns:bp="http://java.sun.com/blueprints/ui/14" xmlns:f="http://java.sun.com/jsf/core" xmlns:h="http://java.sun.com/jsf/html"
    xmlns:jsp="http://java.sun.com/JSP/Page" xmlns:webuijsf="http://www.sun.com/webui/webuijsf">
    <jsp:directive.page contentType="text/html;charset=UTF-8" pageEncoding="UTF-8"/>
    <f:view>
        <webuijsf:page binding="#{MyPluginsPage.page1}" id="page1">
            <webuijsf:html binding="#{MyPluginsPage.html1}" id="html1">
                <webuijsf:head binding="#{MyPluginsPage.head1}" id="head1" title="Plugin Portal My Plugins Page">
                    <webuijsf:link binding="#{MyPluginsPage.link1}" id="link1" url="/resources/netbeans.css"/>
                </webuijsf:head>
                <webuijsf:body binding="#{MyPluginsPage.body1}" id="body1">
                    <script><![CDATA[
                        function doPopup() {
                          popup = window.open("", "popup", 
                            "height=500,width=600,toolbar=no,menubar=no,scrollbars=yes");
                          popup.focus();
                        }
                    ]]></script>
                    <webuijsf:form binding="#{MyPluginsPage.form1}" id="form1">
                        <div style="position: relative">
                            <jsp:directive.include file="Header.jspf"/>
                        </div>
                        <webuijsf:panelLayout binding="#{MyPluginsPage.center_container}" id="center_container" panelLayout="flow" styleClass="center-container">
                            <webuijsf:panelLayout binding="#{MyPluginsPage.page_border}" id="page_border" panelLayout="flow" styleClass="page-border">
                                <webuijsf:panelLayout binding="#{MyPluginsPage.fixed_tabs}" id="fixed_tabs" panelLayout="flow" styleClass="fixed-tabs">
                                    <webuijsf:image binding="#{MyPluginsPage.image1}" height="26" id="image1" styleClass="float-left"
                                        url="/resources/corner-left.png" width="11"/>
                                    <webuijsf:image binding="#{MyPluginsPage.image2}" id="image2" styleClass="float-right" url="/resources/corner-right.png"/>
                                    <webuijsf:imageHyperlink binding="#{MyPluginsPage.imageHyperlink1}" id="imageHyperlink1" imageURL="/resources/home-off.png" url="http://www.netbeans.org"/>
                                    <webuijsf:imageHyperlink binding="#{MyPluginsPage.imageHyperlink2}" id="imageHyperlink2"
                                        imageURL="/resources/products-off.png" url="http://www.netbeans.org/products/index.html"/>
                                    <webuijsf:imageHyperlink binding="#{MyPluginsPage.imageHyperlink3}" id="imageHyperlink3"
                                        imageURL="/resources/catalogue-on.png" url="/faces/MainPage.jsp"/>
                                    <webuijsf:imageHyperlink binding="#{MyPluginsPage.imageHyperlink4}" id="imageHyperlink4" imageURL="/resources/kb-off2.png" url="http://www.netbeans.org/kb/index.html"/>
                                    <webuijsf:imageHyperlink binding="#{MyPluginsPage.imageHyperlink5}" id="imageHyperlink5"
                                        imageURL="/resources/community-off.png" url="http://www.netbeans.org/community/index.html"/>
                                    <webuijsf:imageHyperlink binding="#{MyPluginsPage.imageHyperlink6}" id="imageHyperlink6"
                                        imageURL="/resources/partners-off.png" url="http://www.netbeans.org/partners/index.html"/>
                                </webuijsf:panelLayout>
                                <webuijsf:panelLayout binding="#{MyPluginsPage.fixed_contentarea}" id="fixed_contentarea" panelLayout="flow" styleClass="fixed-contentarea">
                                    <webuijsf:panelLayout binding="#{MyPluginsPage.navig_breadcrumbs}" id="navig_breadcrumbs" panelLayout="flow" style="" styleClass="navig-breadcrumbs">
                                        <webuijsf:hyperlink binding="#{MyPluginsPage.hyperlink2}" id="hyperlink2" text="Home" url="http://www.netbeans.org"/>
                                        <webuijsf:staticText binding="#{MyPluginsPage.staticText2}" id="staticText2" text="/"/>
                                        <webuijsf:imageHyperlink binding="#{MyPluginsPage.imageHyperlink7}" id="imageHyperlink7" text="Plugins" url="/faces/MainPage.jsp"/>
                                        <webuijsf:panelGroup binding="#{MyPluginsPage.loginPanel1}" id="loginPanel1" separator="#{SessionBean1.loginSeparator}" style="left: 500px; position: relative">
                                            <webuijsf:staticText binding="#{MyPluginsPage.staticText5}" id="staticText5" text="Logged in:" visible="#{SessionBean1.loggedinVisible}"/>
                                            <webuijsf:hyperlink actionExpression="#{MyPluginsPage.currentUser_action}" binding="#{MyPluginsPage.currentUser1}"
                                                id="currentUser1" text="#{SessionBean1.currentUserId}" visible="#{SessionBean1.loggedinVisible}"/>
                                            <webuijsf:hyperlink actionExpression="#{MyPluginsPage.txtLoginLogoff_action}"
                                                binding="#{MyPluginsPage.txtLoginLogoff1}" id="txtLoginLogoff1" style="text-align: right" text="#{SessionBean1.loginText}"/>
                                        </webuijsf:panelGroup>
                                    </webuijsf:panelLayout>
                                    <webuijsf:panelLayout binding="#{MyPluginsPage.fixed_contextbox1}" id="fixed_contextbox1" panelLayout="flow" style="" styleClass="fixed-contentbox-ie">
                                        <webuijsf:panelLayout binding="#{MyPluginsPage.topMyPluginPanel}" id="topMyPluginPanel" panelLayout="flow"
                                            style="border-bottom: solid rgb(204, 204, 204) 1px; " styleClass="f-page-cell orange-bg">
                                            <webuijsf:markup binding="#{MyPluginsPage.markup1}" id="markup1" tag="p"/>
                                            <webuijsf:staticText binding="#{MyPluginsPage.txtMyPlugins}" id="txtMyPlugins"
                                                style="font-size: 14px; font-weight: bold" styleClass="orange" text="My Plugins"/>
                                            <webuijsf:markup binding="#{MyPluginsPage.markup2}" id="markup2" tag="p"/>
                                        </webuijsf:panelLayout>
                                        <webuijsf:panelLayout binding="#{MyPluginsPage.bottomMyPluginPanel}" id="bottomMyPluginPanel" panelLayout="flow" styleClass="f-page-cell">
                                            <webuijsf:markup binding="#{MyPluginsPage.markup5}" id="markup5" tag="p"/>
                                            <webuijsf:markup binding="#{MyPluginsPage.markup4}" id="markup4" tag="p"/>
                                            <webuijsf:markup binding="#{MyPluginsPage.markup6}" id="markup6" tag="p"/>
                                            <webuijsf:button actionExpression="#{MyPluginsPage.btnAddPlugin_action}" binding="#{MyPluginsPage.btnAddPlugin}"
                                                id="btnAddPlugin" imageURL="/resources/add_plugin.png" text="Add Plugin"/>
                                            <webuijsf:markup binding="#{MyPluginsPage.markup3}" id="markup3" tag="p"/>
                                            <webuijsf:table binding="#{MyPluginsPage.table1}" clearSortButton="true" id="table1" lite="true" width="600">
                                                <webuijsf:tableRowGroup binding="#{MyPluginsPage.myPluginRowGroup}" id="myPluginRowGroup" rows="10"
                                                    sourceData="#{MyPluginsPage.pluginDataProvider}" sourceVar="currentRow">
                                                    <webuijsf:tableColumn binding="#{MyPluginsPage.tableColumn1}" headerText="Name" height="25"
                                                        id="tableColumn1" sort="name" width="25%">
                                                        <webuijsf:hyperlink actionExpression="#{MyPluginsPage.lnkName_action}"
                                                            binding="#{MyPluginsPage.lnkName}" id="lnkName" text="#{currentRow.value['name']}" url="#{currentRow.value['url']}"/>
                                                    </webuijsf:tableColumn>
                                                    <webuijsf:tableColumn binding="#{MyPluginsPage.tableColumn2}" headerText="Version" height="25"
                                                        id="tableColumn2" sort="version">
                                                        <webuijsf:staticText binding="#{MyPluginsPage.staticText3}" id="staticText3" text="#{currentRow.value['version']}"/>
                                                    </webuijsf:tableColumn>
                                                    <webuijsf:tableColumn binding="#{MyPluginsPage.tableColumn3}" headerText="Rating" id="tableColumn3" sort="rating">
                                                        <webuijsf:staticText binding="#{MyPluginsPage.staticText1}" id="staticText1" text="#{currentRow.value['rating']}"/>
                                                    </webuijsf:tableColumn>
                                                    <webuijsf:tableColumn binding="#{MyPluginsPage.tableColumn5}" headerText="Downloads" id="tableColumn5" sort="downloads">
                                                        <webuijsf:staticText binding="#{MyPluginsPage.staticText6}" id="staticText6" text="#{currentRow.value['downloads']}"/>
                                                    </webuijsf:tableColumn>
                                                    <webuijsf:tableColumn binding="#{MyPluginsPage.tableColumn6}" id="tableColumn6">
                                                        <webuijsf:hyperlink actionExpression="#{MyPluginsPage.updateLink_action}"
                                                            binding="#{MyPluginsPage.updateLink}" id="updateLink" text="Update"/>
                                                    </webuijsf:tableColumn>
                                                    <webuijsf:tableColumn binding="#{MyPluginsPage.tableColumn8}" id="tableColumn8">
                                                        <webuijsf:hyperlink actionExpression="#{MyPluginsPage.deleteLink_action}"
                                                            binding="#{MyPluginsPage.deleteLink}" id="deleteLink" text="Delete"/>
                                                    </webuijsf:tableColumn>
                                                </webuijsf:tableRowGroup>
                                            </webuijsf:table>
                                        </webuijsf:panelLayout>
                                    </webuijsf:panelLayout>
                                </webuijsf:panelLayout>
                                <webuijsf:panelLayout binding="#{MyPluginsPage.fixed_footer}" id="fixed_footer" panelLayout="flow" styleClass="fixed-footer">
                                    <webuijsf:panelLayout binding="#{MyPluginsPage.footer_text1}" id="footer_text1" panelLayout="flow" styleClass="footer-text">
                                        <webuijsf:panelLayout binding="#{MyPluginsPage.footer_navig1}" id="footer_navig1" panelLayout="flow" styleClass="float-left">
                                            <webuijsf:staticText binding="#{MyPluginsPage.staticText10}" escape="false" id="staticText10" text="&amp;nbsp;"/>
                                            <webuijsf:staticText binding="#{MyPluginsPage.staticText11}" escape="false" id="staticText11" text="&amp;nbsp;"/>
                                            <webuijsf:hyperlink actionExpression="#{MyPluginsPage.hyperlink4_action}" binding="#{MyPluginsPage.hyperlink4}"
                                                id="hyperlink4" text="Shop" url="http://www.cafeshops.com/netbeans/"/>
                                            <webuijsf:staticText binding="#{MyPluginsPage.staticText12}" escape="false" id="staticText12" text="&amp;nbsp;"/>
                                            <webuijsf:hyperlink actionExpression="#{MyPluginsPage.hyperlink5_action}" binding="#{MyPluginsPage.hyperlink5}"
                                                id="hyperlink5" text="Site Map" url="http://www.netbeans.org/download/sitemaps/www_map.html"/>
                                            <webuijsf:staticText binding="#{MyPluginsPage.staticText13}" escape="false" id="staticText13" text="&amp;nbsp;"/>
                                            <webuijsf:staticText binding="#{MyPluginsPage.staticText14}" escape="false" id="staticText14" text="&amp;nbsp;"/>
                                            <webuijsf:hyperlink actionExpression="#{MyPluginsPage.hyperlink6_action}" binding="#{MyPluginsPage.hyperlink6}"
                                                id="hyperlink6" text="About Us" url="http://www.netbeans.org/about/index.html"/>
                                            <webuijsf:staticText binding="#{MyPluginsPage.staticText15}" escape="false" id="staticText15" text="&amp;nbsp;"/>
                                            <webuijsf:hyperlink actionExpression="#{MyPluginsPage.hyperlink7_action}" binding="#{MyPluginsPage.hyperlink7}"
                                                id="hyperlink7" text="Contact" url="http://www.netbeans.org/about/contact.html"/>
                                            <webuijsf:staticText binding="#{MyPluginsPage.staticText16}" escape="false" id="staticText16" text="&amp;nbsp;"/>
                                            <webuijsf:hyperlink actionExpression="#{MyPluginsPage.hyperlink8_action}" binding="#{MyPluginsPage.hyperlink8}"
                                                id="hyperlink8" text="Legal" url="http://www.netbeans.org/about/legal/index.html"/>
                                        </webuijsf:panelLayout>
                                        <webuijsf:panelLayout binding="#{MyPluginsPage.tof1}" id="tof1" panelLayout="flow" styleClass="tof float-right">
                                            <webuijsf:staticText binding="#{MyPluginsPage.staticText17}" id="staticText17" text="By use of this website, you agree to the"/>
                                            <webuijsf:hyperlink actionExpression="#{MyPluginsPage.hyperlink9_action}" binding="#{MyPluginsPage.hyperlink9}"
                                                id="hyperlink9" text=" NetBeans Policies and Terms of Use" url="http://www.netbeans.org/about/legal/terms-of-use.html"/>
                                        </webuijsf:panelLayout>
                                    </webuijsf:panelLayout>
                                </webuijsf:panelLayout>
                            </webuijsf:panelLayout>
                        </webuijsf:panelLayout>
                    </webuijsf:form>
                </webuijsf:body>
            </webuijsf:html>
        </webuijsf:page>
    </f:view>
    <!-- Begin SiteCatalyst code -->
    <script language="JavaScript" src="http://www.netbeans.org/images/js/s_code_remote_temp.js"></script>
    <!-- End SiteCatalyst code -->
</jsp:root>
