/*
 * NBMFileTest.java
 * JUnit based test
 *
 * Created on January 25, 2007, 6:12 PM
 */

package org.netbeans.pluginportal.test;

import junit.framework.*;
import java.io.File;
import org.netbeans.pluginportal.system.NBMDeploymentDescriptor;

/**
 *
 * @author David Botterill
 */
public class NBMFileTest extends TestCase {
    
    public NBMFileTest(String testName) {
        super(testName);
    }

    protected void setUp() throws Exception {
        
        
    }

    protected void tearDown() throws Exception {
    }

    /**
     * Test of getCodenamebase method, of class modulemanager.NBMDeploymentDescriptor.
     */
    public void testGetCodenamebase() {
        System.out.println("getCodenamebase");
        
        NBMDeploymentDescriptor instance = new NBMDeploymentDescriptor(new File("/Users/david/Documents/pluginportal/ModuleManager/testdata/info.xml"));
        
        String expResult = "com.sun.makestring";
        String result = instance.getCodenamebase();
        assertEquals(expResult, result);
        
    }

    /**
     * Test of getHomepage method, of class modulemanager.NBMDeploymentDescriptor.
     */
    public void testGetHomepage() {
        System.out.println("getHomepage");
        
        NBMDeploymentDescriptor instance = new NBMDeploymentDescriptor(new File("/Users/david/Documents/pluginportal/ModuleManager/testdata/info.xml"));
        
        String expResult = "http://www.davidbotterill.com";
        String result = instance.getHomepage();
        assertEquals(expResult, result);
        
    }
    
}
