/*
 * The contents of this file are subject to the terms of the Common Development
 * and Distribution License (the License). You may not use this file except in
 * compliance with the License.
 * 
 * You can obtain a copy of the License at http://www.netbeans.org/cddl.html
 * or http://www.netbeans.org/cddl.txt.
 * 
 * When distributing Covered Code, include this CDDL Header Notice in each file
 * and include the License file at http://www.netbeans.org/cddl.txt.
 * If applicable, add the following below the CDDL Header, with the fields
 * enclosed by brackets [] replaced by your own identifying information:
 * "Portions Copyrighted [year] [name of copyright owner]"
 * 
 * The Original Software is NetBeans. The Initial Developer of the Original
 * Software is Sun Microsystems, Inc. Portions Copyright 1997-2007 Sun
 * Microsystems, Inc. All Rights Reserved.
 */

/*
 * CreationVerificationException.java
 */

package org.netbeans.orchlib.ext.creator.exceptions;

/**
 * The exception thrown in the cases when auto creator verification step fails. This is usually signals
 * that a bug exists
 * @author Mikhail.Kondratyev@sun.com
 */
public class CreationVerificationException extends Exception{
    
    /** Creates a new instance of CreationVerificationException */
    public CreationVerificationException(String message) {
        super(message);
    }
    
}
