<%@page contentType="text/html"%>
<%@page pageEncoding="UTF-8"%>
<%@ page import="java.util.Map" %>
<%@ page import="java.util.Set" %>
<%@ page import="org.netbeans.server.uihandler.statistics.Memory" %>
<%@ taglib uri="/WEB-INF/chart-tag.tld" prefix="chart" %>
<%@ taglib uri="/WEB-INF/statistics.tld" prefix="ui" %>

<head>
<jsp:include page="../template/header.jsp"/>
<ui:useStatistic name="Memory"/>

<a href="http://www.netbeans.org/index.html">HOME</a> 
/ 
<a href="http://www.netbeans.org/community/index.html">Community</a>
/
<a href="index.jsp">Analytics</a>
/
Graph
/
Available memory

</div><td class="valign-top b-right full-width">

    <div class="f-page-cell bg-sky" >
        <h2>How much memory have our users?</h2>
        
        <p>
            Amount of physical memory is important for runtime performance of
            NetBeans and that is why here is a graph of the amount of memory
            various users of the NetBeans IDE have.
        </p>
    </div>
    
        <table width="100%">
        <% 
        java.util.Collection<Memory.MemBean> all= (java.util.Collection)
                pageContext.getAttribute("globalMemory");
                
        if (all != null && !all.isEmpty()) {
        %>
        <tr>
            <td align="center" width="480">
                <chart:bar 
                    collection="globalMemory" 
                    serie="serie"
                    category="memory" 
                    value="count" 
                    title="Histogram of available memory" 
                    align="center" 
                />
            </td>
        </tr>
        <% } %>

        <table cellpadding="5" width="100%" >
        <thead class="tblheader">
            <th width="40%">Memory</th>
            <th>Users</th>
        </thead>
        <% for (Memory.MemBean mb : all) { %>
            <tr>
                <td class="tbltd1"><% out.println(mb.getMemory()); %></td>
                <td class="tbltd1"><% out.println(mb.getCount()); %></td>
            </tr>
        <% } %>
        </table>
<jsp:include page="../template/footer.jsp"/>
