// DO NOT ALTER OR REMOVE COPYRIGHT NOTICES OR THIS HEADER.
//
// Copyright 1997-2007 Sun Microsystems, Inc. All rights reserved.
//
// The contents of this file are subject to the terms of either the GNU
// General Public License Version 2 only ("GPL") or the Common
// Development and Distribution License("CDDL") (collectively, the
// "License"). You may not use this file except in compliance with the
// License. You can obtain a copy of the License at
// http://www.netbeans.org/cddl-gplv2.html
// or nbbuild/licenses/CDDL-GPL-2-CP. See the License for the
// specific language governing permissions and limitations under the
// License.  When distributing the software, include this License Header
// Notice in each file and include the License file at
// nbbuild/licenses/CDDL-GPL-2-CP.  Sun designates this
// particular file as subject to the "Classpath" exception as provided
// by Sun in the GPL Version 2 section of the License file that
// accompanied this code. If applicable, add the following below the
// License Header, with the fields enclosed by brackets [] replaced by
// your own identifying information:
// "Portions Copyrighted [year] [name of copyright owner]"
//
// Contributor(s):
// The Original Software is NetBeans. The Initial Developer of the Original
// Software is Sun Microsystems, Inc. Portions Copyright 1997-2006 Sun
// Microsystems, Inc. All Rights Reserved.
//
// If you wish your version of this file to be governed by only the CDDL
// or only the GPL Version 2, indicate your decision by adding
// "[Contributor] elects to include this software in this distribution
// under the [CDDL or GPL Version 2] license." If you do not indicate a
// single choice of license, a recipient has the option to distribute
// your version of this file under either the CDDL, the GPL Version 2 or
// to extend the choice of license to its licensees as provided above.
// However, if you add GPL Version 2 code and therefore, elected the GPL
// Version 2 license, then the option applies only if the new code is
// made subject to such option by the copyright holder.


// DEFINE COMMANDS ------------------------------------------------------------


// Exits the repository
#define _quit SHELL.exit()


// Defines default prompt
// @param $1 prompt
#define _prompt[$] SHELL.setPrompt("$1".equals("null")?null:"$1")


// Connect to the specified repository package
// @param $1 package name
#define _open[$] CurrentObject = SHELL.setActive(SHELL.getRepository().getExtent("$1".equals("null")?null:"$1"))


// Navigates to the specified object
// @param $1 object
#define _navigate[$] CurrentObject = SHELL.setActive($1)
#define _nav _navigate


// Prints object
// @param $1 object
#define _printObj[$] System.out.println($1)
#define _pr _printObj


// Instantiates current package
// @param $1 name of the new instance
#define _instantiate[$] CurrentObject = SHELL.setActive(SHELL.getRepository().createExtent("$1".equals("null")?null:"$1", C$))
#define _new _instantiate

// Loads an XMI file to the current extent
// @param $1 Name of xml file
#define _load[$] ((javax.jmi.xmi.XmiReader) org.openide.util.Lookup.getDefault().lookup(javax.jmi.xmi.XmiReader.class)).read($1, C$.refOutermostPackage())

// 

// PREPARE THE ENVIRONMENT ----------------------------------------------------
	
// import the MOF reflection package
import javax.jmi.reflect.*

// import the MOF model package
import javax.jmi.model.*

// Set default prompt
_prompt ?> 

