/*
                    Sun Public License Notice
 
The contents of this file are subject to the Sun Public License Version
1.0 (the "License"). You may not use this file except in compliance with
the License. A copy of the License is available at http://www.sun.com/
 
The Original Code is the Regsup module.
The Initial Developer of the Original Code is Petr Slegr.
Portions created by Petr Slegr are Copyright (C) 2002.
All Rights Reserved.
 
Contributor(s): Petr Slegr.
 */

package org.netbeans.modules.regsup.auted;

import java.awt.Point;
import org.netbeans.modules.regsup.auted.ui.StringValueDialog;
import org.netbeans.modules.regsup.logic.RexEdgeElement;

/**
 *
 * @author  Petr Slegr
 * @version 15.07.01
 */
public class UserSupport {
    
    public static synchronized RexEdgeElement letUserEditEdgeValue (
    RexEdgeElement current, Point where) {
        // !!!! doplnit parent
        EdgeValueDialog dialog = new EdgeValueDialog (null, true, current, true);
        dialog.setLocation (where);
        //dialog.setEdgeValue (current.toString ());
        while (true) {
            dialog.show ();
            int retStatus = dialog.getReturnStatus ();
            if (retStatus == dialog.RET_CANCEL)
                return null;
            RexEdgeElement elem = dialog.getValue ();
            if (null != elem)
                return elem;
            else {
                System.out.println ("wrong input");
                //dialog.setEdgeValue (retValue);
                //dialog.focusate ();
                ////return null;
            }
        }
    }
    
    public static synchronized String letUserEditString (String value, 
    String valueName, Point where) {
        StringValueDialog dialog = new StringValueDialog (null, value, valueName);
        dialog.setLocation (where);
        dialog.pack ();
        dialog.show ();
        if (dialog.getReturnStatus () == dialog.RET_CANCEL) {
            return null;
        } else {
          return dialog.getValue ();
        }
    }
    
}
